<?php

session_start();

header('Access-Control-Allow-Origin:*');

header('Content-Type; application/json; charset=utf-8');

header('Access-control-Allow-Method: POST');

header('Access-control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-request-With');

include('db.php');


    $inputdata = json_decode(file_get_contents("php://input"), true);

    $category = $inputdata['category'];
    $catid = $inputdata['catid'];

    $nbr="";

    
    // verifier si categorie existant

    $agence_verif=$db->prepare('SELECT COUNT(catid) AS nbr FROM tbl_category WHERE category=? AND catid<>?');

    $agence_verif->execute(array($category,$catid));

    while($agence_verifs=$agence_verif->fetch()){

        $nbr=$agence_verifs['nbr'];

    }

     if ($nbr == 0) {

        # modifier

        $user=$db->prepare('UPDATE tbl_category SET category=? WHERE catid=?');

        $user->execute(array($category,$catid));

        if ($user) {
                //création agence réussie

                echo (json_encode(['response' => 1]));



        }else{
            // création non réussie

            echo (json_encode(['response' => 0]));

            

        }

     }else {
        // categorie existe déjà

        echo (json_encode(['response' => -1]));

     }





